unit uZerlegen1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    Eingabe: TEdit;
    Label1: TLabel;
    Zerlegen: TButton;
    Ausgabe: TListBox;
    Reset: TButton;
    Ende: TButton;
    procedure ZerlegenClick(Sender: TObject);
    procedure EndeClick(Sender: TObject);
    procedure ResetClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ZerlegenClick(Sender: TObject);
var laenge, i : integer;
    wort, Teil : string;
begin
    wort := Eingabe.Text;
    laenge := length(wort);
    for i:=1 to laenge do
      begin;
        Teil := copy(wort,i,1);
        ausgabe.items.add(Teil);
      end;
end;

procedure TForm1.EndeClick(Sender: TObject);
begin
   close;
end;

procedure TForm1.ResetClick(Sender: TObject);
begin
   Eingabe.Text :='';
   Ausgabe.clear;
   Eingabe.setfocus;
end;

end.
